﻿@model LoyaltyPointEngine.Model.Parameter.Member.AddMemberParameterCMSModel
@{
    string urlCheckavailabilityMember = Url.Action(MVC.Member.CheckavailabilityMember());
    bool isSpg = ViewBag.IsSpg != null ? (bool)ViewBag.IsSpg : false;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add Member</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Add Member</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Member.Add(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formAddMember" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured:
                            <br />
                            @Html.ValidationSummary()
                        </div>
                    }
                    <div class="form-group">
                        <label class="col-md-3 control-label">Gender </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.Gender,
                            new List<SelectListItem> {
                               new SelectListItem { Value = "F" , Text = "Female" },
                               new SelectListItem { Value = "M" , Text = "Male" }
                            }, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">FirstName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.FirstName, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">LastName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.LastName, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Email <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Email, new { @class = "form-control member-email-check", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Phone <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Phone, new { @class = "form-control member-phone-check", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Stages </label>
                        <div class="col-md-9">
                            <select id="Stage" name="StagesID" class="select2-select-00 col-md-12 full-width-fix">
                                @foreach (LoyaltyPointEngine.DataMember.Stages item in ViewBag.ListStages)
                                {
                                    <option value="@item.ID" data-attr="@item.Name" @(Model.StagesID == item.ID ? "Selected" : null)>@item.AttributeName</option>
                                }
                            </select>
                            @*@Html.DropDownListFor(x => x.StagesID, ViewBag.ListStages as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })*@
                        </div>
                    </div>
                    <div class="form-group" id="pregnant">
                        <label class="col-md-3 control-label">AgePregnant  <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.AgePregnant, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group" id="childname">
                        <label class="col-md-3 control-label">ChildName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ChildName, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group" id="childdate">
                        <label class="col-md-3 control-label">ChildBirthdate <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ChildBirthdate, new { @class = "form-control datepicker required" })
                        </div>
                    </div>
                    <div class="form-group" id="product_before">
                        <label class="col-md-3 control-label">Product Before </label>
                        <div class="col-md-9">
                            <select id="ProductBefore" name="ProductBeforeID" class="select2-select-00 col-md-12 full-width-fix">
                                <option></option>
                            </select>
                            @*@Html.DropDownListFor(x => x.ProductBeforeID, ViewBag.ListProductBefore as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })*@
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Kode Event </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.EventCode, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Password <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Password, new { @class = "form-control", @type = "password", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Confirm Password <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ConfirmPassword, new { @class = "form-control", @type = "password", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Consent</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.Consent, new { @class = "form-control uniform" })
                            <span>SAYA TELAH MENYETUJUI SYARAT DAN KETENTUAN</span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Facebook ID</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.FacebookID, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Channel </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.Channel, ViewBag.ChannelList as List<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Address </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.Address, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Province </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ProvinceID, ViewBag.ListProvince as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-province" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">District</label>
                        <div class="col-md-9 div-widget-district">
                            @Html.DropDownListFor(x => x.DistrictID, ViewBag.ListDistrict as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-district" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Sub District</label>
                        <div class="col-md-9 div-widget-sub-district">
                            @Html.DropDownListFor(x => x.SubDistrictID, ViewBag.ListSubDistrict as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-sub-district" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">ZipCode </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ZipCode, new { @class = "form-control", @maxlength = "5", @oninput = "maxLengthCheck(this)" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">SPG </label>
                        <div class="col-md-9">
                            @{
                                object htmlAttr = new { @class = "select2-select-00 col-md-12 full-width-fix" };
                                if (isSpg)
                                {
                                    htmlAttr = new { @class = "select2-select-00 col-md-12 full-width-fix", disabled = "" };
                                }
                            }
                            @Html.DropDownListFor(x => x.SpgID, ViewBag.ListSPG as IEnumerable<SelectListItem>, "", htmlAttr)
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Remarks/Catatan Tambahan </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.Remarks, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Birthdate </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Birthdate, new { @class = "form-control datepicker" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">PlaceOfBirth </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.PlaceOfBirth, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">ProfilePicture</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ProfilePicture, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KTPImage</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KTPImage, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KTPNumber</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KTPNumber, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KKImage</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KKImage, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KKNumber</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KKNumber, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">AkteImage</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.AkteImage, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">E-Signature</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ESignature, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Subscribe Newsletter</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsNewsLetter, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>
                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@{
    var error = "";
    if (Model.StagesID.HasValue)
    {
        error = "true";
    }
}
@section FooterScript{
    <script src="@Links.Assets.assets.js.MemberArea.Province_js?v2"></script>

    <script>
        var ProvinceController = new ProvinceController();
        $(document).ready(function () {
            ProvinceController.url_api_populate_district = '@Url.Action(MVC.MemberSubDistrict.GeneratedDistrict())';
            ProvinceController.url_api_populate_subdistrict = '@Url.Action(MVC.MemberSubDistrict.GeneratedSubDistrict())';
            ProvinceController.Initialize();
            $('#product_before').hide();
            $('#childdate').hide();
            $('#childname').hide();
            $('#pregnant').hide();

            var errorSubmit = '@error';
            if (errorSubmit == 'true') {
                CheckStages();
            }

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $('#Stage').change(function () {
                CheckStages();
            });

            function CheckStages() {
                var check = $('#Stage').val();
                var ID = $('#productID').val();
                //sedang hamil
                if (check == 7) {
                    loadProductBefore('@Url.Action(MVC.Member.GetListProductBefore(true, null))', ID);
                    $('#product_before').show();
                    $('#childdate').hide();
                    $('#childname').hide();
                    $('#pregnant').show();
                    $('#ChildName').removeAttr("required").val('');
                    $('#ChildBirthdate').removeAttr("required").val('');
                    $('#ProductBefore').attr("required", "required");
                    $('#AgePregnant').attr("required", "required");
                }
                    //sedang hamil dan memiliki anak
                else if (check == 9) {
                    loadProductBefore('@Url.Action(MVC.Member.GetListProductBefore(null, null))', ID);
                    $('#product_before').show();
                    $('#childdate').show();
                    $('#childname').show();
                    $('#pregnant').show();
                    $('#ProductBefore').attr("required", "required");
                    $('#AgePregnant').attr("required", "required");
                    $('#ChildName').attr("required", "required");
                    $('#ChildBirthdate').attr("required", "required");
                }
                    //tidak hamil dan memiliki anak
                else if (check == 10) {
                    loadProductBefore('@Url.Action(MVC.Member.GetListProductBefore(false, null))', ID);
                    $('#product_before').show();
                    $('#pregnant').hide();
                    $('#childdate').show();
                    $('#childname').show();
                    $('#AgePregnant').removeAttr("required").val('0');
                    $('#ProductBefore').attr("required", "required");
                    $('#ChildBirthdate').attr("required", "required");
                    $('#ChildName').attr("required", "required");
                }
                    //belum hamil
                else {
                    $('#ChildName').removeAttr("required").val('');
                    $('#ChildBirthdate').removeAttr("required").val('');
                    $('#AgePregnant').removeAttr("required").val('0');
                    $('#ProductBefore').removeAttr("required").val('');
                    $('#product_before').hide();
                    $('#childdate').hide().val('');
                    $('#childname').hide().val('');
                    $('#pregnant').hide().val('');
                }
            }

            function loadProductBefore(URL, ID) {
                $.ajax({
                    type: 'get',
                    url: URL,
                    cache: false,
                    contentType: false,
                    processData: false,
                    data: {},
                    success: function (data) {
                        $('#ProductBefore option').remove();
                        //$('#ProductBefore').append('<option value=""></option>');
                        $.each(data, function (i, v) {
                            var select = "";
                            if (ID == v.ID) {
                                select = "selected";
                            }
                            $('#ProductBefore').append('<option value="' + v.ID + '"' + select + '>' + v.Name + '</option>');
                        });
                    },
                    error: function (request, status, error) {
                        alert(request.responseText);
                    }
                });
            }

            $("#formAddMember").validate();

            $('.member-email-check').change(function () {
                var value = $(this).val()
                $('#member-email-check-error').remove();
                ShowLoader();
                $.ajax({
                    url: "@urlCheckavailabilityMember",
                    type: "POST",
                    contentType: "application/json",
                    data: '{"ID":"0","KeyType":"' + 'Email' + '","Value":"' + value + '"}',
                    async: true,
                    success: function (res) {
                        console.log(res);
                        if (res != null) {
                            HideLoader();
                            if (!res.IsAvailable) {
                                console.log('border-color');
                                $('.member-email-check').css('border-color', 'red');
                                $('<span id="member-email-check-error" style="color:red">' + res.Message + '</span>').insertAfter('.member-email-check');
                            } else {
                                $('.member-email-check').css('border-color', '#ccc');
                            }
                        }
                    },
                    error: function (ex, msg, detail) {
                        console.log(ex);
                        alert("error : " + detail);
                        HideLoader();
                    }
                });
            });

            $('.member-phone-check').change(function () {
                var value = $(this).val()
                $('#member-phone-check-error').remove();
                ShowLoader();
                $.ajax({
                    url: "@urlCheckavailabilityMember",
                    type: "POST",
                    contentType: "application/json",
                    data: '{"ID":"0","KeyType":"' + 'Phone' + '","Value":"' + value + '"}',
                    async: true,
                    success: function (res) {
                        console.log(res);
                        if (res != null) {
                            HideLoader();
                            if (!res.IsAvailable) {
                                console.log('border-color');
                                $('.member-phone-check').css('border-color', 'red');
                                $('<span id="member-phone-check-error" style="color:red">' + res.Message + '</span>').insertAfter('.member-phone-check');
                            } else {
                                $('.member-phone-check').css('border-color', '#ccc');
                            }
                        }
                    },
                    error: function (ex, msg, detail) {
                        console.log(ex);
                        alert("error : " + detail);
                        HideLoader();
                    }
                });
            });


        });
    </script>
}